package net.unoh.snow;

import java.util.Random;

public class Snow {

	public static final int WIDTH = 3;

	public static final int HEIGHT = 2;

	private static final int GRAVITY_VALUE = 2;

	private static final int SHAKE_VALUE = 1;

	private static final int WIND_VALUE = 5;

	private static final int BUFFER_WIDTH = 600;

	private static Random random = new Random();

	private int x = 0;

	private int y = 0;

	public Snow() {
		x = random.nextInt(SnowFrame.MAX_WIDTH + BUFFER_WIDTH * 2);
		y = 0;
	}

	public void fall() {
		y += GRAVITY_VALUE;
	}

	public void windLeft() {
		x -= WIND_VALUE;
	}

	public void windRight() {
		x += WIND_VALUE;
	}

	public void shakeHorizon() {
		// left, right or none
		switch (random.nextInt(3)) {
		case 0:
			x += SHAKE_VALUE;
			break;
		case 1:
			x -= SHAKE_VALUE;
			break;
		default:
			break;
		}
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public boolean isDraw() {
		return x >= 0 && x <= SnowFrame.MAX_WIDTH
			&& y >= 0 && y <= SnowFrame.MAX_HEIGHT;
	}

	public boolean isLanding() {
		return y > SnowFrame.MAX_HEIGHT; 
	}

}
