package net.unoh.snow;

import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;

public class WindListener extends MouseMotionAdapter {

	public static final int DIRECTION_NONE = 0;

	public static final int DIRECTION_LEFT = 1;

	public static final int DIRECTION_RIGHT = 2;

	private static final int DIFFERENT_BORDER = 2;

	private int preX = 0;

	private int nowX = 0;

	public void mouseMoved(MouseEvent e) {
		nowX = e.getX();
	}

	public int getDirection() {
		int direction = DIRECTION_NONE;
		if (isDifferent(preX, nowX)) {
			if (preX > nowX) {
				direction = DIRECTION_LEFT;
			} else {
				direction = DIRECTION_RIGHT;
			}
		}
		preX = nowX;
		return direction;
	}

	protected static boolean isDifferent(int a, int b) {
		return Math.abs(a - b) > DIFFERENT_BORDER;
	}

}
